Bug 111471 - [CI][SHARDS] igt@gem_exec_schedule@wide-bsd - fail - Failed assertion: __vgem_fence_signal(fd, fence) == 0
Summary: [CI][SHARDS] igt@gem_exec_schedule@wide-bsd - fail - Failed assertion: __vgem...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-23 07:25 UTC by Martin Peres
Modified: 2019-09-11 07:36 UTC (History)
1 user (show)

See Also:
i915 platform: SKL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-08-23 07:25:35 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6755/shard-skl8/igt@gem_exec_schedule@wide-bsd.html

Starting subtest: wide-bsd
(gem_exec_schedule:961) igt_vgem-CRITICAL: Test assertion failure function vgem_fence_signal, file ../lib/igt_vgem.c:193:
(gem_exec_schedule:961) igt_vgem-CRITICAL: Failed assertion: __vgem_fence_signal(fd, fence) == 0
(gem_exec_schedule:961) igt_vgem-CRITICAL: error: -110 != 0
Comment 1 CI Bug Log 2019-08-23 07:26:04 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* SKL: igt@gem_exec_schedule@wide-bsd - fail - Failed assertion: __vgem_fence_signal(fd, fence) == 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6755/shard-skl8/igt@gem_exec_schedule@wide-bsd.html
Comment 2 Chris Wilson 2019-08-23 07:40:49 UTC
A normal run is

Starting subtest: wide-bsd
Submitted 2 requests over 1024 contexts in 8911.4ms

so it is close to the 10s timeout, and doesn't take much of a scheduler delay to trigger.
Comment 3 Chris Wilson 2019-08-29 19:24:32 UTC
https://patchwork.freedesktop.org/series/65942/
will make the flip-flops go away.
Comment 4 Chris Wilson 2019-08-29 19:27:26 UTC
commit 73d8d3ffccb6f0340e13bf006f56e3658673f345 (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Aug 28 16:55:19 2019 +0100

    i915/gem_exec_schedule: Switch reorder-wide to sw_sync
    
    Switch to using sw_sync to avoid the builtin timeout on vgem's fences.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111471
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Acked-by: Matthew Auld <matthew.auld@intel.com>
Comment 5 Martin Peres 2019-09-11 07:36:32 UTC
(In reply to Chris Wilson from comment #4)
> commit 73d8d3ffccb6f0340e13bf006f56e3658673f345 (HEAD, upstream/master)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Wed Aug 28 16:55:19 2019 +0100
> 
>     i915/gem_exec_schedule: Switch reorder-wide to sw_sync
>     
>     Switch to using sw_sync to avoid the builtin timeout on vgem's fences.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111471
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Acked-by: Matthew Auld <matthew.auld@intel.com>

Thanks!
Comment 6 CI Bug Log 2019-09-11 07:36:39 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.